org.apache.ignite.internal.igfs.common

## Class IgfsMessage

- java.lang.Object
- - org.apache.ignite.internal.igfs.common.IgfsMessage

Direct Known Subclasses:
  IgfsControlResponse, IgfsHandshakeRequest, IgfsPathControlRequest, IgfsStatusRequest, IgfsStreamControlRequest

    public abstract class IgfsMessage
    extends Object

Abstract class for all messages sent between IGFS client (Hadoop File System implementation) and IGFS server (Ignite data node).

### Constructor Summary

Constructors
Constructor and Description
`IgfsMessage()`

### Method Summary

Methods
`IgfsIpcCommand` `command()`
`void` `command(IgfsIpcCommand cmd)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsMessage

    public IgfsMessage()

### Method Detail

#### command

    public IgfsIpcCommand command()

Returns:
  Command.

#### command

    public void command(IgfsIpcCommand cmd)

Parameters:
  `cmd` - Command.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015